<?php
include("mysqli_connect_w10.php");

// Collect date input from GET request
$from_year = $_GET['from_year'];
$from_month = $_GET['from_month'];
$from_day = $_GET['from_day'];

$to_year = $_GET['to_year'];
$to_month = $_GET['to_month'];
$to_day = $_GET['to_day'];

// Convert to valid date strings (YYYY-MM-DD)
$from_date = "$from_year-$from_month-$from_day";
$to_date = "$to_year-$to_month-$to_day";

// Prepare and run query
$sql = "SELECT * FROM orders WHERE orderDate BETWEEN ? AND ?";
$stmt = mysqli_prepare($dbc, $sql);
mysqli_stmt_bind_param($stmt, "ss", $from_date, $to_date);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

// Count and display results
$count = mysqli_num_rows($result);
echo "<h3>$count record(s) found between $from_date and $to_date.</h3>";

// Show key order info
while ($row = mysqli_fetch_assoc($result)) {
    echo "Order Number: " . $row['orderNumber'] . "<br>";
    echo "Order Date: " . $row['orderDate'] . "<br>";
    echo "Required Date: " . $row['requiredDate'] . "<br>";
    echo "Status: " . $row['status'] . "<br><hr>";
}

mysqli_stmt_close($stmt);
mysqli_close($dbc);
?>
