<?php
include("mysqli_connect_w10.php");

$emp_num = $_GET['emp_num'];

if (empty($emp_num)) {
    echo "Please select an employee number.";
    exit;
}

$sql = "SELECT * FROM employees WHERE employeeNumber = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $emp_num);
$stmt->execute();
$result = $stmt->get_result();

$count = $result->num_rows;
echo "<h3>$count record(s) found.</h3>";

while ($row = $result->fetch_assoc()) {
    echo "Name: " . $row['firstName'] . " " . $row['lastName'] . "<br>";
    echo "Job Title: " . $row['jobTitle'] . "<br><hr>";
}

$stmt->close();
$conn->close();
?>
